/****************************************************************************
** COPYRIGHT (C):    1995...1998 Cay S. Horstmann. All Rights Reserved.
** PROJECT:          Computing Concepts with C++ 2E
** FILE:             ccc_empl.cpp
** PURPOSE:          Employee class
** VERSION           2.0
** PROGRAMMER:       Cay Horstmann (CSH)
**                   Jiaoyang Zhou
** NOTE TO STUDENTS: Once you mastered chapter 8, you should be able
** to understand this file. Just ignore the EXPORT directives, though.
** They are used to automatically extract header files from source files.
****************************************************************************/

#define EXPORT

#include "ccc_empl.h"

#ifndef EXPORT

#ifndef CCC_ANSI_H
   #include <string>
#endif

class Employee
{
public:
	Employee();
   Employee(string employee_name, double initial_salary);
   void set_salary(double new_salary);
   double get_salary() const;
	string get_name() const;
private:
	string name;
   double salary;
};

#endif

/*-------------------------------------------------------------------------*/

Employee::Employee()
{  salary = 0;
}

Employee::Employee(string employee_name, double initial_salary)
{  name = employee_name;
	salary = initial_salary;
}

void Employee::set_salary(double new_salary)
{   salary = new_salary;
}

double Employee::get_salary() const
{  return salary;
}

string Employee::get_name() const
{  return name;
}

#ifdef _MSC_VER

bool operator==(Employee a, Employee b)
{  return a.get_name() == b.get_name();
}

bool operator<(Employee a, Employee b)
{  return a.get_name() < b.get_name();
}

#endif
