/****************************************************************************
** COPYRIGHT (C):    1996 Cay S. Horstmann. All Rights Reserved.
** PROJECT:          Computing Concepts with C++
** FILE:             readtime.cpp
** NOTE TO STUDENTS: This file has been edited to be compatible with older
** compilers. If your compiler fully supports the ANSI/ISO C++
** standard, remove the line #include "ccc_ansi.cpp". You can also remove
** the lines #ifndef CCC_ANSI_H and #endif
****************************************************************************/

   #include "ccc_ansi.cpp"
   #ifndef CCC_ANSI_H

#include <iostream>
#include <sstream>

using namespace std;

   #endif

string int_to_string(int n)
/* PURPOSE:  Convert an integer value to a string, e.g. 3 -> "3"
   RECEIVES: s - an integer value
   RETURNS:  the equivalent string
*/   
{  ostringstream outstr;
   outstr << n;
   return outstr.str();
}

void read_time(int& hours, int& minutes)
/* PURPOSE:  Read a time from standard input in the
             format hh:mm or hh:mm am or hh:mm pm
   RECEIVES: hours - filled with the hours
             minutes - filled with the minutes
*/
{  string line;
   getline(cin, line);
   istringstream instr(line);

   instr >> hours;

   minutes = 0;

   char ch;
   instr.get(ch);

   if (ch == ':')
      instr >> minutes;
   else
#ifndef CCC_USE_OLD_STREAMS
      instr.unget();
#else
      instr.putback(ch);
         /* used if your compiler doesn't support the ANSI unget function */
#endif

   string suffix;
   instr >> suffix;

   if (suffix == "pm")
      hours = hours + 12;
}

string time_to_string(int hours, int minutes, bool am_pm)
/* PURPOSE:  Compute a string representing a time
   RECEIVES: hours - the hours (0...23)
             minutes - the minutes (0...59)
             am_pm - true for am/pm format,
                false for military format
*/
{  string suffix;
   if (am_pm)
   {  if (hours < 12)
         suffix = "am";
      else
      {  suffix = "pm";
         hours = hours - 12;
      }
      if (hours == 0) hours = 12;
   }
   string result = int_to_string(hours) + ":";
   if (minutes < 10) result = result + "0";
   result = result + int_to_string(minutes);
   if (am_pm)
      result = result + " " + suffix;
   return result;
}

int main()
{  cout << "Please enter the time: ";

   int hours;
   int minutes;

   read_time(hours, minutes);

   cout << "Using am/pm:   " << time_to_string(hours, minutes, true) << "\n";
   cout << "Military time: " << time_to_string(hours, minutes, false) << "\n";

   return 0;
}

