/****************************************************************************
** COPYRIGHT (C):    1996 Cay S. Horstmann. All Rights Reserved.
** PROJECT:          Computing Concepts with C++
** FILE:             stack.cpp
****************************************************************************/

   #include "ccc_ansi.h"
   #ifndef CCC_ANSI_H

#include <cassert>

using namespace std;

   #endif

#include "stack.h"

Stack::Stack()
{	top = 0;
}

void Stack::push(string s)
/* PURPOSE:  add a value onto the top of the stack
   RECEIVES: s - the new value
*/
{  if (top < data.size()) data[top] = s;
	else data.push_back(s);
	top++;
}

string Stack::pop()
/* PURPOSE:  remove the value at the top of the stack
   RETURNS:  the value that was removed
*/
{  assert(top > 0);
	top--;
	return data[top];
}

bool Stack::is_empty() const
/* RETURNS:  true if the stack is empty
*/
{  return top == 0;
}
