/****************************************************************************
** COPYRIGHT (C):    1996 Cay S. Horstmann. All Rights Reserved.
** PROJECT:          Computing Concepts with C++
** FILE:             esearch.cpp
** NOTE TO STUDENTS: This file has been edited to be compatible with older
** compilers. If your compiler fully supports the ANSI/ISO C++
** standard, remove the line #include "ccc_ansi.cpp". You can also remove
** the lines #ifndef CCC_ANSI_H and #endif
****************************************************************************/

   #include "ccc_ansi.cpp"
   #ifndef CCC_ANSI_H

#include <iostream>
#include <vector>

using namespace std;

   #endif

#include "ccc_empl.cpp"

int binary_search(vector<Employee> v, int from, int to, string n)
/* PURPOSE:  find an employee in a sorted vector
   RECEIVES: v - the sorted vector with the employees to search
             from, to - the range to search
             n - the employee name to search for
   RETURNS:  the index of the first match, or -1 if not found
*/
{  if (from > to)
   return -1;
   int mid = (from + to) / 2;
   if (v[mid].get_name() == n)
      return mid;
   else if (v[mid].get_name() < n)
      return binary_search(v, mid + 1, to, n);
   else
      return binary_search(v, from, mid - 1, n);
}

int main()
{  vector<Employee> staff(5);
   staff[0] = Employee("Cracker, Carl", 48000.0);
   staff[1] = Employee("Hacker, Harry", 35000.0);
   staff[2] = Employee("Lam, Larry", 78000.0);
   staff[3] = Employee("Reindeer, Rudolf", 63000.0);
   staff[4] = Employee("Sandman, Susan", 51500.0);

   cout << "Enter name of employee to search for: ";
   string name;
   getline(cin, name);

   int i = binary_search(staff, 0, staff.size() - 1, name);

   if (i >= 0)
      cout << staff[i].get_name() << " "
         << staff[i].get_salary() << "\n";
   else
      cout << "Not found.\n";

   return 0;
}

