/****************************************************************************
** COPYRIGHT (C):    1996 Cay S. Horstmann. All Rights Reserved.
** PROJECT:          Computing Concepts with C++ Lite
** FILE:             fibloop.cpp
** NOTE TO STUDENTS: This file has been edited to be compatible with older
** compilers. If your compiler fully supports the ANSI/ISO C++
** standard, remove the line #include "ccc_ansi.cpp". You can also remove
** the lines #ifndef CCC_ANSI_H and #endif
****************************************************************************/

   #include "ccc_ansi.cpp"
   #ifndef CCC_ANSI_H

#include <iostream>

using namespace std;

   #endif

#include "ccc_time.cpp"

long fib(int n)
/* PURPOSE:  Compute a Fibonacci number
   RECEIVES: n - an integer
   RETURNS:  the nth Fibonacci number
*/
{  if (n <= 2) return 1;
   long fold = 1;
   long fold2 = 1;
   int i;
   long fnew;
   for (i = 3; i <= n; i++)
   {  fnew = fold + fold2;
      fold2 = fold;
      fold = fnew;
   }
   return fnew;
}

int main()
{  cout << "Enter n: ";
   int n;
   cin >> n;
   Time before;
   long f = fib(n);
   Time after;
   cout << "fib(" << n << ") = " << f << "\n";
   cout << "Elapsed time = " << after.seconds_from(before)
      << " seconds\n";
   return 0;
}
