/****************************************************************************
** COPYRIGHT (C):    1996 Cay S. Horstmann. All Rights Reserved.
** PROJECT:          Computing Concepts with C++
** FILE:             lsearch.cpp
** NOTE TO STUDENTS: This file has been edited to be compatible with older
** compilers. If your compiler fully supports the ANSI/ISO C++
** standard, remove the line #include "ccc_ansi.cpp". You can also remove
** the lines #ifndef CCC_ANSI_H and #endif
****************************************************************************/

   #include "ccc_ansi.cpp"
   #ifndef CCC_ANSI_H

#include <iostream>
#include <vector>
#include <cstdlib>
#include <ctime>

using namespace std;

   #endif

int linear_search(vector<int> v, int a)
/* PURPOSE:  find an element in a vector
   RECEIVES: v - the vector with the elements to search
             a - the value to search for
   RETURNS:  the index of the first match, or -1 if not found
*/
{  int i;
   for (i = 0; i < v.size(); i++)
   {  if (v[i] == a)
         return i;
   }
   return -1;
}

void print(vector<int> a)
/* PURPOSE:  print all elements in a vector
   RECEIVES: a - the vector to print
*/
{  int i;
   for (i = 0; i < a.size(); i++)
      cout << a[i] << " ";
   cout << "\n";
}

void rand_seed()
/* PURPOSE: Set the seed of the random number generator
*/
{  int seed = static_cast<int>(time(0));
   srand(seed);
}

int rand_int(int a, int b)
/* PURPOSE:  Return a random integer in a range
   RECEIVES: a - the bottom of the range
             b - the top of the range
   RETURNS:  A random number x, a <= x and x <= b
*/
{  return a + rand() % (b - a + 1);
}

int main()
{  rand_seed();
   vector<int> v(20);
   int i;
   for (i = 0; i < v.size(); i++)
      v[i] = rand_int(1, 100);
   print(v);
   cout << "Enter number to search for: ";
   int n;
   cin >> n;
   int j = linear_search(v, n);
   cout << "Found in position " << j << "\n";
   return 0;
}
