/****************************************************************************
** COPYRIGHT (C):    1996 Cay S. Horstmann. All Rights Reserved.
** PROJECT:          Computing Concepts with C++
** FILE:             overload.cpp
** NOTE TO STUDENTS: This file has been edited to be compatible with older
** compilers. If your compiler fully supports the ANSI/ISO C++
** standard, remove the line #include "ccc_ansi.cpp". You can also remove
** the lines #ifndef CCC_ANSI_H and #endif
****************************************************************************/

   #include "ccc_ansi.cpp"
   #ifndef CCC_ANSI_H

#include <iostream>

using namespace std;

   #endif

#include "ccc_time.cpp"

long operator-(Time a, Time b)
/* PURPOSE:  Compute the number of seconds between two points in time
   RECEIVES: a, b - two points in time
   RETURNS:  the number of seconds that a is away from b
*/
{  return a.seconds_from(b);
}

Time operator+(Time a, long sec)
/* PURPOSE:  Compute a point in time that is some number of seconds away
   RECEIVES: a - a point in time
             sec - the seconds to add
   RETURNS:  a point in time that is sec seconds away from a
*/
{  Time r = a;
   r.add_seconds(sec);
   return r;
}

bool operator==(Time a, Time b)
/* PURPOSE:  Compare two points in time
   RECEIVES: a, b - two points in time
   RETURNS:  true if they are the same
*/
{  return a.seconds_from(b) == 0;
}

bool operator!=(Time a, Time b)
/* PURPOSE:  Compare two points in time
   RECEIVES: a, b - two points in time
   RETURNS:  true if they are different
*/
{  return a.seconds_from(b) != 0;
}

ostream& operator<<(ostream& out, Time& a)
/* PURPOSE:  Print a Time object
   RECEIVES: out - an output stream
             a - a point in time
   RETURNS:  out
*/
{  out << a.get_hours() << ":";
   if (a.get_minutes() < 10) out << "0";
   out << a.get_minutes() << ":";
   if (a.get_seconds() < 10) out << "0";
   out << a.get_seconds();
   return out;
} 

int main()
{  Time now;
   cout << "Now it is " << now << "\n";
   Time later = now + 1000;
   cout << "A thousand seconds later it is " << later << "\n";
   Time now2;
   if (now == now2)
      cout << "It still is " << now2 << "\n";
   if (now != now2)
      cout << "It is already " << now2 << "\n";
   cout << "Another " << later - now2 << " seconds until " << later << "\n";
   return 0;
}

