/****************************************************************************
** COPYRIGHT (C):    1996 Cay S. Horstmann. All Rights Reserved.
** PROJECT:          Computing Concepts with C++
** FILE:             global.cpp
** NOTE TO STUDENTS: This file has been edited to be compatible with older
** compilers. If your compiler fully supports the ANSI/ISO C++
** standard, remove the line #include "ccc_ansi.cpp". You can also remove
** the lines #ifndef CCC_ANSI_H and #endif
****************************************************************************/

   #include "ccc_ansi.cpp"
   #ifndef CCC_ANSI_H

#include <iostream>

using namespace std;

   #endif

#include "ccc_empl.cpp"

double annual_raise;

void raise_salary(Employee& e)
/* PURPOSE:  Raise an employee salary by annual_raise
   RECEIVES: e - employee receiving raise
*/
{  double new_salary = e.get_salary() * (1 + annual_raise / 100);
   e.set_salary(new_salary);
}

int main()
{  Employee boss("Reindeer, Rudolf", 48000.00);
   Employee harry("Hacker, Harry", 35000.00);
   annual_raise = 5;
   raise_salary(boss);
   raise_salary(harry);
   cout << boss.get_name() << " "
      << boss.get_salary() << "\n";
   cout << harry.get_name() << " "
      << harry.get_salary() << "\n";
   return 0;
}
