/****************************************************************************
** COPYRIGHT (C):    1996 Cay S. Horstmann. All Rights Reserved.
** PROJECT:          Computing Concepts with C++
** FILE:             inside.cpp
****************************************************************************/

#include "ccc_win.cpp"

bool is_inside(Point p, Circle c)
/* PURPOSE:   tests whether a point lies inside a circle
   RECEIVES:  p - a point
              c - a circle
   RETURNS:   true if p lies inside c
*/
{  double dx = p.get_x() - c.get_center().get_x();
   double dy = p.get_y() - c.get_center().get_y();
   double r = c.get_radius();

   return dx * dx + dy * dy <= r * r;
}

int main()
{  Circle c(Point(1, 1), 2);
   cwin << c;
   Point m = cwin.get_mouse("Please click inside the circle.");
   if (is_inside(m, c))
      cwin << Message(Point(3, 3), "Congratulations!");
   else
      cwin << Message(Point(3, 3), "You missed!");
   return 0;
}
