/****************************************************************************
** COPYRIGHT (C):    1996 Cay S. Horstmann. All Rights Reserved.
** PROJECT:          Computing Concepts with C++
** FILE:             balgraph.cpp
****************************************************************************/

#include "ccc_win.cpp"

double future_value(double initial_balance, double p, int nyear)
/* PURPOSE:  computes the value of an investment with compound
             interest
   RECEIVES: initial_balance - the initial value of the investment
             p - the interest rate in percent
             nyear - the number of years the investment is held
   REMARKS:  Interest is compounded monthly
*/
{  double b = initial_balance * pow(1 + p / 12 / 100, 12 * nyear);
   return b;
}

int main()
{  double rate;
   double initial_amount = 10000;
   int nyear = 10;
   cwin.coord(5, 3 * initial_amount, 10, 0);

   for (rate = 5; rate <= 10; rate = rate + 0.5)
   {  double balance = future_value(initial_amount, rate, nyear);
      cwin << Point(rate, balance);
   }

   return 0;
}
