/****************************************************************************
** COPYRIGHT (C):    1996 Cay S. Horstmann. All Rights Reserved.
** PROJECT:          Computing Concepts with C++
** FILE:             baltable.cpp
** NOTE TO STUDENTS: This file has been edited to be compatible with older
** compilers. If your compiler fully supports the ANSI/ISO C++
** standard, remove the line #include "ccc_ansi.cpp". You can also remove
** the lines #ifndef CCC_ANSI_H and #endif
****************************************************************************/

   #include "ccc_ansi.cpp"
   #ifndef CCC_ANSI_H

#include <iostream>
#include <iomanip>
#include <cmath>

using namespace std;

   #endif

double future_value(double initial_balance,
   double p, int nyear)
/* PURPOSE:  computes the value of an investment with compound
             interest
   RECEIVES: initial_balance - the initial value of the investment
             p - the interest rate in percent
             nyear - the number of years the investment is held
   REMARKS:  Interest is compounded monthly
*/
{  double b = initial_balance
      * pow(1 + p / 12 / 100, 12 * nyear);
   return b;
}

int main()
{  cout << "      Rate   Balance\n\n";

   double rate;
   double initial_amount = 10000;
   int nyear = 10;

   cout << fixed << setprecision(2);

   for (rate = 5; rate <= 10; rate = rate + 0.5)
   {  double balance = future_value(initial_amount, rate, nyear);
      cout << setw(10) << rate
         << setw(10) << balance << "\n";
   }

   return 0;
}
