/****************************************************************************
** COPYRIGHT (C):    1996 Cay S. Horstmann. All Rights Reserved.
** PROJECT:          Computing Concepts with C++
** FILE:             pascal.cpp
** NOTE TO STUDENTS: This file has been edited to be compatible with older
** compilers. If your compiler fully supports the ANSI/ISO C++
** standard, remove the line #include "ccc_ansi.cpp". You can also remove
** the lines #ifndef CCC_ANSI_H and #endif
****************************************************************************/

   #include "ccc_ansi.cpp"
   #ifndef CCC_ANSI_H

#include <iostream>
#include <iomanip>

using namespace std;

   #endif

int binomial(int n, int k)
/* PURPOSE:  Compute a binomial coefficient
   RECEIVES: n, k - nonnegative integers
   RETURNS:  n choose k
*/
{  int b = 1; /* the binomial coefficient */
   int i;
   for (i = 1; i <= k; i++)
      b = b * (n + 1 - i) / i;
   return b;
}

int main()
{  const int NROWS = 10;
   /* print the first 10 rows of Pascal's triangle */
   int n;
   for (n = 0; n < NROWS; n++)
   {  int k;
      for (k = 0; k <= n; k++)
         cout << setw(7) << binomial(n, k);
      cout << "\n";
   }
   return 0;
}
