/****************************************************************************
** COPYRIGHT (C):    1996 Cay S. Horstmann. All Rights Reserved.
** PROJECT:          Computing Concepts with C++
** FILE:             goodprim.cpp
** NOTE TO STUDENTS: This file has been edited to be compatible with older
** compilers. If your compiler fully supports the ANSI/ISO C++
** standard, remove the line #include "ccc_ansi.cpp". You can also remove
** the lines #ifndef CCC_ANSI_H and #endif
****************************************************************************/

   #include "ccc_ansi.cpp"
   #ifndef CCC_ANSI_H

#include <iostream>

using namespace std;

   #endif

bool isprime(int n)
/* PURPOSE:  tests if an integer is a prime
   RECEIVES: n - any positive integer
   RETURNS:  true iff n is a prime
*/
{  if (n == 1) return false;
   if (n == 2) return true;
   if (n % 2 == 0) return false;
   int k = 3;
   while (k * k <= n)
   {  if (n % k == 0) return false;
      k = k + 2;
   }
   return true;
}

int main()
{  int n;
   cout << "Please enter the upper limit: ";
   cin >> n;
   int i;
   if (n >= 2) cout << "2\n";
   for (i = 3; i <= n; i = i + 2)
   {  if (isprime(i))
         cout << i << "\n";
   }
   return 0;
}
