/****************************************************************************
** COPYRIGHT (C):    1996 Cay S. Horstmann. All Rights Reserved.
** PROJECT:          Computing Concepts with C++
** FILE:             product2.cpp
** NOTE TO STUDENTS: This file has been edited to be compatible with older
** compilers. If your compiler fully supports the ANSI/ISO C++
** standard, remove the line #include "ccc_ansi.cpp". You can also remove
** the lines #ifndef CCC_ANSI_H and #endif
****************************************************************************/

   #include "ccc_ansi.cpp"
   #ifndef CCC_ANSI_H

#include <iostream>
#include <string>

using namespace std;

   #endif

class Product
{
public:
   Product();

   void read();

   bool is_better_than(Product b) const;
   void print() const;
private:
   string name;
   double price;
   int score;
};

Product::Product()
{  price = 0;
   score = 0;
}

void Product::read()
/* PURPOSE:  Read in this product object
*/   
{  cout << "Please enter the model name: ";
   getline(cin, name);
   cout << "Please enter the price: ";
   cin >> price;
   cout << "Please enter the score: ";
   cin >> score;
   string remainder; /* read remainder of line */
   getline(cin, remainder);
}

bool Product::is_better_than(Product b) const
/* PURPOSE:  Compare two product objects
   RECEIVES: b - the object to compare with this object
   RETURNS:  true if this object is better than b
*/
{  if (price == 0) return false;
   if (b.price == 0) return true;
   if (score / price > b.score / b.price)
      return true;
   return false;
}

void Product::print() const
/* PURPOSE:  Print this product object
*/
{  cout << name
      << " Price: " << price
      << " Score: " << score << "\n";
}

int main()
{  Product best;

   bool more = true;
   while (more)
   {  Product next;
      next.read();
      if (next.is_better_than(best)) best = next;

      cout << "More data? (y/n) ";
      string answer;
      getline(cin, answer);
      if (answer != "y") more = false;
   }

   cout << "The best bang for the buck is ";
   best.print();

   return 0;
}
