/****************************************************************************
** COPYRIGHT (C):    1998 Cay S. Horstmann. All Rights Reserved.
** PROJECT:          Computing Concepts with C++ Essentials 2E
** FILE:             append.cpp
** NOTE TO STUDENTS: This file has been edited to be compatible with older
** compilers. If your compiler fully supports the ANSI/ISO C++
** standard, remove the line #include "ccc_ansi.cpp". You can also remove
** the lines #ifndef CCC_ANSI_H and #endif
****************************************************************************/

   #include "ccc_ansi.cpp"
   #ifndef CCC_ANSI_H

#include <iostream>

using namespace std;

   #endif

void append(char s[], int s_maxlength, const char t[])
/* PURPOSE:  Append a string to another string
   RECEIVES: s - the string to which t is appended
             s_maxlength - the maximum length of s (not counting '\0')
             t - the string to append
*/             
{  int i = strlen(s);
   int j = 0;
   /* append t to s */
   while (t[j] != '\0' and i < s_maxlength)
   {  s[i] = t[j];
      i++;
      j++;
   }
   /* add zero terminator */
   s[i] = '\0';
}

int main()
{  const int GREETING_MAXLENGTH = 10;
   char greeting[GREETING_MAXLENGTH + 1] = "Hello";
   char t[] = ", World!";
   append(greeting, GREETING_MAXLENGTH, t);
   cout << greeting << "\n";
   return 0;
}

