/****************************************************************************
** COPYRIGHT (C):    1996 Cay S. Horstmann. All Rights Reserved.
** PROJECT:          Computing Concepts with C++
** FILE:             salbetw.cpp
** NOTE TO STUDENTS: This file has been edited to be compatible with older
** compilers. If your compiler fully supports the ANSI/ISO C++
** standard, remove the line #include "ccc_ansi.cpp". You can also remove
** the lines #ifndef CCC_ANSI_H and #endif
****************************************************************************/

   #include "ccc_ansi.cpp"
   #ifndef CCC_ANSI_H

#include <iostream>
#include <vector>

using namespace std;

   #endif

vector<double> between(vector<double> v,
    double low, double high)
/* PURPOSE:  returns all values within a range
   RECEIVES: v - a vector of floating-point numbers
             low - the low end of the range
             high - the high end of the range
   RETURNS:  a vector of values from v in the given range
*/
{  vector<double> result;
   int i;
   for (i = 0; i < v.size(); i++)
      if (low <= v[i] and v[i] <= high)
         result.push_back(v[i]);
   return result;
}

int main()
{  vector<double> salaries(5);
   salaries[0] = 35000.0;
   salaries[1] = 63000.0;
   salaries[2] = 48000.0;
   salaries[3] = 78000.0;
   salaries[4] = 51500.0;

   vector<double> midrange_salaries
      = between(salaries, 45000.0, 65000.0);

   int i;
   for (i = 0; i < midrange_salaries.size(); i++)
      cout << midrange_salaries[i] << "\n";

   return 0;
}

