/****************************************************************************
** COPYRIGHT (C):    1996 Cay S. Horstmann. All Rights Reserved.
** PROJECT:          Computing Concepts with C++
** FILE:             coun.cpp
** NOTE TO STUDENTS: This file has been edited to be compatible with older
** compilers. If your compiler fully supports the ANSI/ISO C++
** standard, remove the line #include "ccc_ansi.cpp". You can also remove
** the lines #ifndef CCC_ANSI_H and #endif
****************************************************************************/

   #include "ccc_ansi.cpp"
   #ifndef CCC_ANSI_H

#include <iostream>
#include <vector>

using namespace std;

   #endif

int count_greater(vector<double> a, double t)
/* PURPOSE:  Count the number of values in a vector that are greater
             than a threshold
   RECEIVES: a - the vector
             t - the threshold value
   RETURNS:  the count of values in a that are greater than t
*/
{  int count = 0;
   int i;
   for (i = 0; i < a.size(); i++)
   {  if (a[i] > t)
         count++;
   }
   return count;
}

int main()
{  vector<double> salaries(5);
   salaries[0] = 35000.0;
   salaries[1] = 63000.0;
   salaries[2] = 48000.0;
   salaries[3] = 78000.0;
   salaries[4] = 51500.0;

   int count = count_greater(salaries, 50000);

   cout << count << " salaries are above 50000\n";
   return 0;
}
