/****************************************************************************
** COPYRIGHT (C):    1996 Cay S. Horstmann. All Rights Reserved.
** PROJECT:          Computing Concepts with C++
** FILE:             remove1.cpp
** NOTE TO STUDENTS: This file has been edited to be compatible with older
** compilers. If your compiler fully supports the ANSI/ISO C++
** standard, erase the line #include "ccc_ansi.cpp". You can also erase
** the lines #ifndef CCC_ANSI_H and #endif
****************************************************************************/

   #include "ccc_ansi.cpp"
   #ifndef CCC_ANSI_H

#include <iostream>
#include <string>
#include <vector>

using namespace std;

   #endif

#include "ccc_empl.cpp"

void erase(vector<string>& a, int pos)
/* PURPOSE:  Remove an element from a vector
   RECEIVES: a - a vector
             pos - the position of the element to erase
   REMARKS:  the ordering of the remaining elements is not preserved
*/
{  int last_pos = a.size() - 1;
   a[pos] = a[last_pos];
   a.pop_back();
}

void print(vector<string> a)
/* PURPOSE:  print all elements in a vector
   RECEIVES: a - the vector to print
*/
{  int i;
   for (i = 0; i < a.size(); i++)
      cout << "[" << i << "] " << a[i] << "\n";
}

int main()
{  vector<string> staff(5);
   staff[0] = "Hacker, Harry";
   staff[1] = "Reindeer, Rudolf";
   staff[2] = "Cracker, Carl";
   staff[3] = "Lam, Larry";
   staff[4] = "Sandman, Susan";

   print(staff);

   int pos;
   cout << "Remove which element? ";
   cin >> pos;

   erase(staff, pos);

   print(staff);

   return 0;
}
