/****************************************************************************
** COPYRIGHT (C):    1996 Cay S. Horstmann. All Rights Reserved.
** PROJECT:          Computing Concepts with C++
** FILE:             find.cpp
** NOTE TO STUDENTS: This file has been edited to be compatible with older
** compilers. If your compiler fully supports the ANSI/ISO C++
** standard, remove the line #include "ccc_ansi.cpp". You can also remove
** the lines #ifndef CCC_ANSI_H and #endif
****************************************************************************/

   #include "ccc_ansi.cpp"
   #ifndef CCC_ANSI_H

#include <iostream>
#include <vector>

using namespace std;

   #endif

int find_first_greater(vector<double> a, double t)
/* PURPOSE:  Find the first value in a vector that is greater than a threshold
   RECEIVES: a - the vector
             t - the threshold value
   RETURNS:  the position of the first value that is greater than t,
             -1 if none
*/
{  int i = 0;
   while (i < a.size())
   {  if (a[i] > t)
         return i;
      else
         i++;
   }
   return -1;
}
   
int main()
{  vector<double> salaries(5);
   salaries[0] = 35000.0;
   salaries[1] = 63000.0;
   salaries[2] = 48000.0;
   salaries[3] = 78000.0;
   salaries[4] = 51500.0;

   int i = find_first_greater(salaries, 50000);

   if (i > 0)
   {  cout << "The first salary above 50000 is at index " << i
         << " and is " << salaries[i] << "\n";
   }
   return 0;
}
