/****************************************************************************
** COPYRIGHT (C):    1996 Cay S. Horstmann. All Rights Reserved.
** PROJECT:          Computing Concepts with C++
** FILE:             insert.cpp
** NOTE TO STUDENTS: This file has been edited to be compatible with older
** compilers. If your compiler fully supports the ANSI/ISO C++
** standard, remove the line #include "ccc_ansi.cpp". You can also remove
** the lines #ifndef CCC_ANSI_H and #endif
****************************************************************************/

   #include "ccc_ansi.cpp"
   #ifndef CCC_ANSI_H

#include <iostream>
#include <string>
#include <vector>

using namespace std;

   #endif

void insert(vector<string>& a, int pos, string s)
/* PURPOSE:  Insert an element into a vector
   RECEIVES: a - a vector
             pos - the position before which the element is to be inserted
             s - the element to insert
   REMARKS:  the ordering of the remaining elements is preserved
*/
{  int last = a.size() - 1; 
   a.push_back(a[last]);
   int i;
   for (i = last; i > pos; i--)
      a[i] = a[i - 1];
   a[pos] = s;
}

void print(vector<string> a)
/* PURPOSE:  print all elements in a vector
   RECEIVES: a - the vector to print
*/
{  int i;
   for (i = 0; i < a.size(); i++)
      cout << "[" << i << "] " << a[i] << "\n";
}

int main()
{  vector<string> staff(5);
   staff[0] = "Cracker, Carl";
   staff[1] = "Hacker, Harry";
   staff[2] = "Lam, Larry";
   staff[3] = "Reindeer, Rudolf";
   staff[4] = "Sandman, Susan";

   print(staff);

   int pos;
   cout << "Insert before which element? ";
   cin >> pos;

   insert(staff, pos, "New, Nina");

   print(staff);

   return 0;
}
