/****************************************************************************
** COPYRIGHT (C):    1996 Cay S. Horstmann. All Rights Reserved.
** PROJECT:          Computing Concepts with C++
** FILE:             matches.cpp
** NOTE TO STUDENTS: This file has been edited to be compatible with older
** compilers. If your compiler fully supports the ANSI/ISO C++
** standard, remove the line #include "ccc_ansi.cpp". You can also remove
** the lines #ifndef CCC_ANSI_H and #endif
****************************************************************************/

   #include "ccc_ansi.cpp"
   #ifndef CCC_ANSI_H

#include <iostream>
#include <vector>

using namespace std;

   #endif
   
#include "ccc_empl.cpp"   

vector<int> find_all_greater(vector<double> a, double t)
/* PURPOSE:  Find all values in a vector that are greater than a threshold
   RECEIVES: a - the vector
             t - the threshold value
   RETURNS:  a vector of the positions of all values that are greater than t,
*/
{  vector<int> pos;
   int i;
   for (i = 0; i < a.size(); i++)
   {  if (a[i] > t)
         pos.push_back(i);
   }
   return pos;
}

int main()
{  vector<double> salaries(5);
   salaries[0] = 35000.0;
   salaries[1] = 63000.0;
   salaries[2] = 48000.0;
   salaries[3] = 78000.0;
   salaries[4] = 51500.0;

   vector<int> matches = find_all_greater(salaries, 50000);

   int j;
   cout << "These are the salaries above 50000:\n";
   for (j = 0; j < matches.size(); j++)
      cout << salaries[matches[j]] << "\n";
   return 0;
}
