/****************************************************************************
** COPYRIGHT (C):    1996 Cay S. Horstmann. All Rights Reserved.
** PROJECT:          Computing Concepts with C++
** FILE:             matrix.cpp
** NOTE TO STUDENTS: This file has been edited to be compatible with older
** compilers. If your compiler fully supports the ANSI/ISO C++
** standard, remove the line #include "ccc_ansi.cpp". You can also remove
** the lines #ifndef CCC_ANSI_H and #endif
****************************************************************************/

   #include "ccc_ansi.cpp"
   #ifndef CCC_ANSI_H

#include <iostream>
#include <iomanip>
#include <cmath>

using namespace std;

   #endif

const int BALANCES_ROWS = 11;
const int BALANCES_COLS = 6;

double future_value(double initial_balance, double p, int nyear)
/* PURPOSE:  computes the value of an investment with compound
             interest
   RECEIVES: initial_balance - the initial value of the investment
             p - the interest rate in percent
             nyear - the number of years the investment is held
   REMARKS:  Interest is compounded monthly
*/
{  double b = initial_balance * pow(1 + p / 12 / 100, 12 * nyear);
   return b;
}

void print_table(const double table[][BALANCES_COLS], int table_rows)
{  int i;
   int j;
   cout << fixed << setprecision(2);
   for (i = 0; i < table_rows; i++)
   {  for (j = 0; j < BALANCES_COLS; j++)
         cout << setw(10) << table[i][j];
      cout << "\n";
   }
}

int main()
{  double balances[BALANCES_ROWS][BALANCES_COLS];
   int i;
   int j;
   for (i = 0; i < BALANCES_ROWS; i++)
      for (j = 0; j < BALANCES_COLS; j++)
         balances[i][j] = future_value(10000, 5 + i * 0.5,
            5 + j * 5);

   print_table(balances, BALANCES_ROWS);

   return 0;
}
