/****************************************************************************
** COPYRIGHT (C):    1996 Cay S. Horstmann. All Rights Reserved.
** PROJECT:          Computing Concepts with C++
** FILE:             plotdat2.cpp
****************************************************************************/

#include "ccc_win.cpp"

class Product
{
public:
   Product();
   void read();
   void get_price() const;
   void plot() const;
private:
   double price;
   int score;
   string name;
};

Product::Product()
{  price = 0;
   score = 0;
}

void Product::read()
{  name = cwin.get_string("Product name:");
   price = cwin.get_double("Price:");
   score = cwin.get_int("Score:");
}

void Product::plot() const
{  Message label(Point(price, score), name);
   cwin << label.get_start() << label;
}

int main()
{  vector<Product> data;
   string more;

   do
   {  Product c;
      c.read();
      data.push_back(c);
      more = cwin.get_string("More data? (y/n)");
   } while (more == "y");

   const double MAX_PRICE = 10000;
   const double MAX_SCORE = 100;

   cwin.coord(0, 0, MAX_PRICE, MAX_SCORE);

   int i;
   for (i = 0; i < data.size(); i++)
      data[i].plot();
   return 0;
}
