/****************************************************************************
** COPYRIGHT (C):    1996 Cay S. Horstmann. All Rights Reserved.
** PROJECT:          Computing Concepts with C++
** FILE:             polygon.cpp
****************************************************************************/

#include "ccc_win.cpp"

class Polygon
{
public:
   Polygon();
   void add_point(Point p);
   void plot() const;
private:
   vector<Point> corners;
};

Polygon::Polygon()
{
}

void Polygon::add_point(Point p)
/* PURPOSE:  add a point to the polygon
   RECEIVES: p - the point to add
*/
{  corners.push_back(p);
}

void Polygon::plot() const
/* PURPOSE:  plot the edges of the polygon
*/
{  int i;
   int n = corners.size();
   for (i = 0; i < n; i++)
      cwin << Line(corners[i], corners[(i + 1) % n]);
}

int main()
{  Polygon triangle;
   triangle.add_point(Point(1, 1));
   triangle.add_point(Point(3, 4));
   triangle.add_point(Point(2, 6));
   triangle.plot();

   const double PI = 3.141592653589793;
   Polygon pentagon;
   int i;
   for (i = 0; i < 5; i++)
      pentagon.add_point(Point(cos(2 * PI * i / 5),
         sin(2 * PI * i / 5)));
   pentagon.plot();

   return 0;
}
