/****************************************************************************
** COPYRIGHT (C):    1996 Cay S. Horstmann. All Rights Reserved.
** PROJECT:          Computing Concepts with C++
** FILE:             raisesal.cpp
** NOTE TO STUDENTS: This file has been edited to be compatible with older
** compilers. If your compiler fully supports the ANSI/ISO C++
** standard, remove the line #include "ccc_ansi.cpp". You can also remove
** the lines #ifndef CCC_ANSI_H and #endif
****************************************************************************/

   #include "ccc_ansi.cpp"
   #ifndef CCC_ANSI_H

#include <iostream>
#include <vector>

using namespace std;

   #endif

void raise_salaries(vector<double>& s, double p)
/* PURPOSE:  raise all salaries in a vector of salaries
   RECEIVES: s - vector of salaries
             p - percentage to raise salary by
*/
{  int i;
   for (i = 0; i < s.size(); i++)
      s[i] = s[i] * (1 + p / 100);
}

int main()
{  vector<double> salaries(5);
   salaries[0] = 35000.0;
   salaries[1] = 63000.0;
   salaries[2] = 48000.0;
   salaries[3] = 78000.0;
   salaries[4] = 51500.0;

   raise_salaries(salaries, 4.5);

   int i;
   for (i = 0; i < salaries.size(); i++)
      cout << salaries[i] << "\n";

   return 0;
}
