/****************************************************************************
** COPYRIGHT (C):    1998 Cay S. Horstmann. All Rights Reserved.
** PROJECT:          Computing Concepts with C++ Essentials 2E
** FILE:             salarray.cpp
** NOTE TO STUDENTS: This file has been edited to be compatible with older
** compilers. If your compiler fully supports the ANSI/ISO C++
** standard, remove the line #include "ccc_ansi.cpp". You can also remove
** the lines #ifndef CCC_ANSI_H and #endif
****************************************************************************/

   #include "ccc_ansi.cpp"
   #ifndef CCC_ANSI_H

#include <iostream>

using namespace std;

   #endif

void read_data(double a[], int a_maxsize, int& a_size)
/* PURPOSE:  read data into an array
   RECEIVES: a - the array to fill
             a_maxsize - the maximum size of a
             a_size - filled with the size of a after reading
*/            
{  a_size = 0;
   double x;
   while (a_size < a_maxsize and (cin >> x))
   {  a[a_size] = x;
      a_size++;
   }
}

double maximum(const double a[], int a_size)
/* PURPOSE:  compute the maximum value in an array
   RECEIVES: a - the array
             a_size - the number of values in a
*/             
{  if (a_size == 0) return 0;
   double highest = a[0];
   int i;
   for (i = 1; i < a_size; i++)
      if (a[i] > highest)
         highest = a[i];
   return highest;
}

int main()
{  const int SALARIES_MAXSIZE = 100;
   double salaries[SALARIES_MAXSIZE];
   int salaries_size = 0;

   cout << "Please enter all salary data: ";
   read_data(salaries, SALARIES_MAXSIZE, salaries_size);

   if (salaries_size == SALARIES_MAXSIZE and not cin.fail())
      cout << "Sorry--extra data ignored\n";

   double maxsal = maximum(salaries, salaries_size);

   cout << "The maximum salary is " << maxsal << "\n";

   return 0;
}
